"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var application = require("application");
var urlhandler_common_1 = require("./urlhandler.common");
var urlhandler_common_2 = require("./urlhandler.common");
exports.handleOpenURL = urlhandler_common_2.handleOpenURL;
var lastReceivedData = null;
function handleIntent(intent) {
    var data = intent.getData();
    if (lastReceivedData === null || data.toString() !== lastReceivedData.toString()) {
        try {
            if (new String(intent.getAction()).valueOf() === new String(android.content.Intent.ACTION_MAIN).valueOf()
                || new String(intent.getAction()).valueOf() === new String(android.content.Intent.ACTION_VIEW).valueOf()) {
                try {
                    setTimeout(function () { return urlhandler_common_1.getCallback()(urlhandler_common_1.extractAppURL(data)); });
                }
                catch (ignored) {
                    application.android.on(application.AndroidApplication.activityResultEvent, function (eventData) {
                        setTimeout(function () { return urlhandler_common_1.getCallback()(urlhandler_common_1.extractAppURL(data)); });
                    });
                }
            }
        }
        catch (e) {
            console.error('Unknown error during getting App URL data', e);
        }
        lastReceivedData = data;
    }
}
exports.handleIntent = handleIntent;
application.android.on(application.AndroidApplication.activityCreatedEvent, function (args) {
    var intent = args.activity.getIntent();
    try {
        handleIntent(intent);
    }
    catch (e) {
        console.error('Unknown error during getting App URL data', e);
    }
});
application.android.on(application.AndroidApplication.activityResumedEvent, function (args) {
    var intent = args.activity.getIntent();
    try {
        handleIntent(intent);
    }
    catch (e) {
        console.error('Unknown error during getting App URL data', e);
    }
});
//# sourceMappingURL=urlhandler.android.js.map